Skip to main content
`Ctrl`+`K`

# PetscObjectProcessOptionsHandlers

Calls all the options handlers attached to an object

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectProcessOptionsHandlers(PetscObject obj, PetscOptionItems PetscOptionsObject)

Not Collective

## Input Parameters

- obj - the PETSc object

- PetscOptionsObject - the options context

## See Also

`KSPSetFromOptions()`, `PCSetFromOptions()`, `SNESSetFromOptions()`, `PetscObjectAddOptionsHandler()`, `PetscObjectDestroyOptionsHandlers()`, `PetscObject`

## Level

developer

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages